# Class OpenEjbFactory

java.lang.Object
org.apache.naming.factory.OpenEjbFactory

All Implemented Interfaces:
  `ObjectFactory`

public class OpenEjbFactory extends Object implements ObjectFactory
Object factory for EJBs.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `DEFAULT_OPENEJB_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenEjbFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`
  Create a new EJB instance using OpenEJB.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_OPENEJB_FACTORY

    protected static final String DEFAULT_OPENEJB_FACTORY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OpenEjbFactory

    public OpenEjbFactory()

- ## Method Details

  - ### getObjectInstance

    public Object getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment) throws Exception
    Create a new EJB instance using OpenEJB.
    Specified by:
      `getObjectInstance` in interface `ObjectFactory`
    Parameters:
      `obj` - The reference object describing the DataSource
      `name` - the bound name
      `nameCtx` - unused
      `environment` - unused
    Returns:
      the object instance
    Throws:
      `Exception` - if an error occur creating the instance